Package lxml :: Module sax :: Class ElementTreeProducer

[frames] | no frames]

# Class ElementTreeProducer

source code

    object --+
             |
            ElementTreeProducer

Produces SAX events for an element and children.

Instance Methods

__init__(self, element_or_tree, content_handler) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

saxify(self) | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, element_or_tree, content_handler)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)